Subject: Re: linux-next: manual merge of the soundwire tree with Linus' tree

From: Vinod Koul <[email-masked]>
Date: Wed, 21 Sep 2022 10:56:17 +0530

On 21-09-22, 15:20, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the soundwire tree got a conflict in:
> 
>   drivers/soundwire/qcom.c
> 
> between commit:
> 
>   4ef3f2aff126 ("soundwire: qcom: fix device status array range")
> 
> from Linus' tree and commits:
> 
>   8039b6f3e5c7 ("soundwire: qcom: update status from device id 1")
>   ed8d07acec73 ("soundwire: qcom: do not send status of device 0 during alert")
> 
> from the soundwire tree.
> 
> I fixed it up (I used the latter) and can carry the fix as necessary.

Thanks Stephen,

That seems to be the correct resolution, I will merge fixes to bring
this in.

> This is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
> 
> -- 
> Cheers,
> Stephen Rothwell

-- 
~Vinod